//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import net.ihe.gazelle.tempmodel.org.decor.art.behavior.HasParent;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element ref="{}terminologyAssociation" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}codeSystem" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}valueSet" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "terminologyAssociation",
    "codeSystem",
    "valueSet"
})
@XmlRootElement(name = "terminology")
public class Terminology implements HasParent {

    private List<TerminologyAssociation> terminologyAssociation;
    private List<CodeSystem> codeSystem;
    private List<ValueSet> valueSet;
    
    @XmlTransient
   	private Decor parentObject;

	public Decor getParentObject() {
   		return parentObject;
   	}

   	public void setParentObject(Decor parentObject) {
   		this.parentObject = parentObject;
   	}
   	
   	void afterUnmarshal( javax.xml.bind.Unmarshaller u, Object parent ){
   		this.parentObject = (Decor)parent;
   	}

    /**
     * Gets the value of the terminologyAssociation property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the terminologyAssociation property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTerminologyAssociation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TerminologyAssociation }
     * 
     * 
     */
    public List<TerminologyAssociation> getTerminologyAssociation() {
        if (terminologyAssociation == null) {
            terminologyAssociation = new ArrayList<>();
        }
        return this.terminologyAssociation;
    }

    /**
     * Gets the value of the codeSystem property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the codeSystem property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCodeSystem().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CodeSystem }
     * 
     * 
     */
    public List<CodeSystem> getCodeSystem() {
        if (codeSystem == null) {
            codeSystem = new ArrayList<>();
        }
        return this.codeSystem;
    }

    /**
     * Gets the value of the valueSet property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the valueSet property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getValueSet().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ValueSet }
     * 
     * 
     */
    public List<ValueSet> getValueSet() {
        if (valueSet == null) {
            valueSet = new ArrayList<>();
        }
        return this.valueSet;
    }

}
